<?php

use TeamGrid\Includes\Functions;
use TeamGrid\Includes\Teams;
use TeamGrid\Includes\Settings;

$xbox->open_mixed_field(array(
    'name' => esc_html__( 'Image', 'teamgrid' ),
));
$xbox->add_field( array(
    'id' => 'image',
    'name' => esc_html__( 'Upload image', 'teamgrid' ),
    'type' => 'file',
    'options' => array(
        'mime_types' => array( 'jpg', 'jpeg', 'png', 'gif', 'ico', 'webp' ),
        'preview_size' => array( 'width' => '100px'),
        'multiple' => false,
    ),
    'grid' => '4-of-8',
));


$xbox->add_field( array(
    'id' => 'image-resizing-name',
    'name' => esc_html__( 'Image size name', 'teamgrid' ),
    'desc' => sprintf( esc_html__( 'To configure the image sizes go to %s', 'teamgrid' ), '<a href="' . esc_url( $this->plugin->settings_url ) . '" target="_blank">TeamGrid Settings > General > Image resizing</a>' ),
    'type' => 'select',
    'default' => Settings::get_value( 'img-resizing-1-name', 'teamgrid_square_image' ),
    'items' => XboxItems::get_image_size_names(),
    'grid' => '4-of-8',
));
$xbox->close_mixed_field();

$xbox->add_field(array(
    'id' => 'role',
    'name' => esc_html__( 'Role', 'teamgrid' ),
    'type' => 'text',
    'default' => '',
    'grid' => '4-of-8',
));

$xbox->add_field( array(
    'id' => 'description',
    'name' => esc_html__( 'Description', 'teamgrid' ),
    'desc' => esc_html__( 'Short description. Use 15 words or less', 'teamgrid' ),
    'type' => 'textarea',
    'attributes' => array(
        'rows' => 2
    ),
    'grid' => '4-of-8',
));

$xbox->add_field( array(
    'id' => 'content',
    'name' => esc_html__( 'Content', 'teamgrid' ),
    'type' => 'wp_editor',
    'options' => array(
        'editor_height' => 400,
    ),
));
$xbox->add_field(array(
    'id' => 'custom-url',
    'name' => esc_html__( 'Custom URL', 'teamgrid' ),
    'desc' => esc_html__( 'This url will be used in case you decide to display the content of the member in an external url. The default value is the permalink.', 'teamgrid' ),
    'type' => 'text',
    'default' => '',
    'grid' => '4-of-8',
));

$xbox->add_field(array(
    'id' => 'teams',
    'name' => esc_html__( 'Teams', 'teamgrid' ),
    'desc' => '',
    'type' => 'checkbox',
    'default' => Teams::find_teams_by_member_id( Functions::get_id() ),
    'value' => Teams::find_teams_by_member_id( Functions::get_id() ),
    'items' => XboxItems::posts_by_post_type( $this->plugin->post_types['teams'], array(
        'post_status' => 'publish',
        'posts_per_page' => -1,
    ))
));