<?php

use TeamGrid\Includes\Assets;

$skills = $xbox->add_group(array(
    'id' => 'skills',
    'name' => esc_html__( 'Skills', 'teamgrid' ),
    'desc' => esc_html__( 'Communication, Creativity, Collaboration, etc', 'teamgrid' ),
    'options' => array(
        'sortable' => true,
        'table_layout' => array(
            esc_html__( 'Skill name', 'teamgrid' ) => '',
            esc_html__( 'Skill time', 'teamgrid' ) => '',
            esc_html__( 'Skill value', 'teamgrid' ) => '',
        ),
    ),
    'controls' => array(
        'name' => 'Skill #',
        'readonly_name' => false,
        'left_actions' => array(
            'xbox-info-order-item' => '',
            'xbox-sort-group-item' => '<i class="xbox-icon xbox-icon-sort"></i>',
        ),
        'right_actions' => array(
            'xbox-visibility-group-item' => '',
        ),
    ),
));

$skills->open_mixed_field();
$skills->add_field(array(
    'id' => 'name',
    'name' => esc_html__( 'Skill name', 'teamgrid' ),
    'desc' => esc_html__( 'Add new from the "Skils" box on the right of this page.', 'teamgrid' ),
    'insert_after_name' => '<span class="tgr-add-new-skill-name">'.esc_html__( 'Add New', 'teamgrid' ).'</span>',
    'type' => 'select',
    'default' => '',
    'items' => XboxItems::terms( $this->plugin->arg( 'taxonomies', 'skills' ), array( 'hide_empty' => false ), array( 'value' => 'name', 'display' => 'name'), array('' => esc_html__( 'Select option', 'teamgrid' )) ),
    'options' => array(
        'sort' => false,
        'sort_by_values' => false,
        'sortable' => true,
        'multiple' => false,
        'max_selections' => 100,
        'desc_tooltip' => true,
    ),
));
$skills->close_mixed_field();

$skills->add_field(array(
    'id' => 'time',
    'name' => esc_html__( 'Skill time', 'teamgrid' ),
    'type' => 'text',
    'default' => '',
    'attributes' => array(
        'style' => 'width: 200px;'
    ),
));
$skills->close_mixed_field();


$skills->add_field(array(
    'id' => 'percent',
    'type' => 'select',
    'default' => 90,
    'items' => array(
        '0' => '0%',
        '10' => '10%',
        '15' => '15%',
        '20' => '20%',
        '25' => '25%',
        '30' => '30%',
        '35' => '35%',
        '40' => '40%',
        '45' => '45%',
        '50' => '50%',
        '55' => '55%',
        '60' => '60%',
        '65' => '65%',
        '70' => '70%',
        '75' => '75%',
        '80' => '80%',
        '85' => '85%',
        '90' => '90%',
        '95' => '95%',
        '100' => '100%',
    )
));