<?php

$xbox->add_field(array(
    'type' => 'title',
    'desc' => esc_html__( 'Styles for Grid, List and Table', 'teamgrid' ),
));

$xbox->open_mixed_field(array('name' => esc_html__( 'Text size', 'teamgrid' )));
$xbox->add_field(array(
    'id' => 'layout-text-size',
    'name' => esc_html__( 'Content', 'teamgrid' ),
    'type' => 'number',
    'default' => 16,
    'options' => array(
        'show_spinner' => true,
        'desc_tooltip' => true,
        'name_if' => array('layout-number' => array( '17' => esc_html__( 'Table content', 'teamgrid' ) ) )
    ),
    'attributes' => array(
        'min' => 5,
    ),
));
$xbox->add_field(array(
    'id' => 'layout-text-size-heading1',
    'name' => esc_html__( 'Heading 1', 'teamgrid' ),
    'type' => 'number',
    'default' => 19,
    'options' => array(
        'show_spinner' => true,
        'desc_tooltip' => true,
        'name_if' => array('layout-number' => array( '17' => esc_html__( 'Table header', 'teamgrid' ) ) )
    ),
    'attributes' => array(
        'min' => 5,
    ),
));
$xbox->add_field(array(
    'id' => 'layout-text-size-heading2',
    'name' => esc_html__( 'Heading 2', 'teamgrid' ),
    'type' => 'number',
    'default' => 17,
    'options' => array(
        'show_spinner' => true,
        'desc_tooltip' => true,
        'hide_if' => array('layout-number', 'in', array('17') )//16
    ),
    'attributes' => array(
        'min' => 5,
    ),
));
$xbox->close_mixed_field();

$xbox->open_mixed_field(array('name' => esc_html__( 'Text color', 'teamgrid' )));
$xbox->add_field(array(
    'id' => 'layout-text-color',
    'name' => esc_html__( 'Text color', 'teamgrid' ),
    'type' => 'colorpicker',
    'default' => 'rgba(255, 255, 255, 1)',
    'options' => array(
        'format' => 'rgba',
        'opacity' => '1',
        'desc_tooltip' => true,
    ),
));
$xbox->add_field(array(
    'id' => 'layout-text-color2',
    'name' => esc_html__( 'Text color on hover/active', 'teamgrid' ),
    'type' => 'colorpicker',
    'default' => 'rgba(255, 255, 255, 1)',
    'options' => array(
        'format' => 'rgba',
        'opacity' => '1',
        'desc_tooltip' => true,
        'show_if' => array( 'layout-number', 'in', array('1', '7', '8', '10', '12') )//'6', '7', '9', '11'
    ),
));
$xbox->add_field(array(
    'id' => 'layout-link-color',
    'name' => esc_html__( 'Links', 'teamgrid' ),
    'type' => 'colorpicker',
    'default' => 'rgba(0, 0, 0, 1)',
    'options' => array(
        'format' => 'rgba',
        'opacity' => '1',
        'desc_tooltip' => true,
        'show_if' => array( 'layout-number', 'in', array('16', '17') )//15
    ),
));
$xbox->close_mixed_field();


$xbox->open_mixed_field(array(
    'name' => esc_html__( 'Background', 'teamgrid' ),
    'options' => array(

    )
));
$xbox->add_field(array(
    'id' => 'layout-bg-color',
    'name' => esc_html__( 'Background color', 'teamgrid' ),
    'type' => 'colorpicker',
    'default' => 'rgba(0, 0, 0, 0.8)',
    'options' => array(
        'format' => 'rgba',
        'opacity' => '1',
    ),
));
$xbox->add_field(array(
    'id' => 'layout-bg-gradient-enabled',
    'name' => esc_html__( 'Gradient color', 'teamgrid' ),
    'type' => 'switcher',
    'default' => 'off',
));
$xbox->add_field(array(
    'id' => 'layout-bg-gradient-color',
    'name' => esc_html__( 'To color', 'teamgrid' ),
    'type' => 'colorpicker',
    'default' => 'rgba(0, 0, 0, 1)',
    'options' => array(
        'format' => 'rgba',
        'opacity' => 0,
        'show_if' => array('layout-bg-gradient-enabled', '=', 'on' )
    ),
));
$xbox->add_field(array(
    'id' => 'layout-bg-gradient-angle',
    'name' => esc_html__( 'Angle', 'teamgrid' ),
    'type' => 'number',
    'default' => '180',
    'options' => array(
        'show_spinner' => true,
        'unit' => 'deg',
        'show_if' => array('layout-bg-gradient-enabled', '=', 'on' )
    ),
    'attributes' => array(
        'min' => -360,
        'max' => 360,
    ),
));
$xbox->close_mixed_field();


$xbox->open_mixed_field(array(
    'name' => esc_html__( 'Background on hover/active', 'teamgrid' ),
    'options' => array(
        'show_if' => array( 'layout-number', 'in', array('1', '7', '8', '10', '12') )//'6', '7', '9', '11'
    )
));
$xbox->add_field(array(
    'id' => 'layout-bg-color2',
    'name' => esc_html__( 'Background color', 'teamgrid' ),
    'type' => 'colorpicker',
    'default' => 'rgba(0, 0, 0, 0.8)',
    'options' => array(
        'format' => 'rgba',
        'opacity' => '1',
    ),
));
$xbox->add_field(array(
    'id' => 'layout-bg-gradient-enabled2',
    'name' => esc_html__( 'Gradient color', 'teamgrid' ),
    'type' => 'switcher',
    'default' => 'off',
));
$xbox->add_field(array(
    'id' => 'layout-bg-gradient-color2',
    'name' => esc_html__( 'To color', 'teamgrid' ),
    'type' => 'colorpicker',
    'default' => 'rgba(0, 0, 0, 1)',
    'options' => array(
        'format' => 'rgba',
        'opacity' => 0,
        'show_if' => array('layout-bg-gradient-enabled2', '=', 'on' )
    ),
));
$xbox->add_field(array(
    'id' => 'layout-bg-gradient-angle2',
    'name' => esc_html__( 'Angle', 'teamgrid' ),
    'type' => 'number',
    'default' => '180',
    'options' => array(
        'show_spinner' => true,
        'unit' => 'deg',
        'show_if' => array('layout-bg-gradient-enabled2', '=', 'on' )
    ),
    'attributes' => array(
        'min' => -360,
        'max' => 360,
    ),
));
$xbox->close_mixed_field();

$xbox->open_mixed_field(array('name' => esc_html__( 'Border', 'teamgrid' )));
$xbox->add_field(array(
    'id' => 'layout-border-width',
    'name' => esc_html__( 'Border', 'teamgrid' ),
    'type' => 'number',
    'default' => 0,
    'options' => array(
        'show_spinner' => true,
        'desc_tooltip' => true,
    ),
    'attributes' => array(
        'min' => 0,
    ),
));
$xbox->add_field(array(
    'id' => 'layout-border-color',
    'name' => esc_html__( 'Border color', 'teamgrid' ),
    'type' => 'colorpicker',
    'default' => 'rgba(0, 0, 0, 0.2)',
    'options' => array(
        'format' => 'rgba',
        'opacity' => '0.2',
        'desc_tooltip' => true,
    ),
));
$xbox->add_field(array(
    'id' => 'layout-border-different-hover',
    'name' => esc_html__( 'Border on hover?', 'teamgrid' ),
    'desc' => esc_html__( 'Use different border on mouseover', 'teamgrid' ),
    'type' => 'switcher',
    'default' => 'off',
    'options' => array(
        'desc_tooltip' => true,
        'hide_if' => array('layout-number', 'in', array('16', '17')),//'15', '16'
    ),
));
$xbox->add_field(array(
    'id' => 'layout-border-width2',
    'name' => esc_html__( 'Border on hover', 'teamgrid' ),
    'type' => 'number',
    'default' => 0,
    'options' => array(
        'show_spinner' => true,
        'desc_tooltip' => true,
        'show_if' => array('layout-border-different-hover', '=', 'on' )
    ),
    'attributes' => array(
        'min' => 0,
    ),
));
$xbox->add_field(array(
    'id' => 'layout-border-color2',
    'name' => esc_html__( 'Border color on hover', 'teamgrid' ),
    'type' => 'colorpicker',
    'default' => 'rgba(0, 0, 0, 0.2)',
    'options' => array(
        'format' => 'rgba',
        'opacity' => '0.2',
        'desc_tooltip' => true,
        'show_if' => array('layout-border-different-hover', '=', 'on' )
    ),
));

$xbox->add_field(array(
    'id' => 'list-is-right',
    'name' => esc_html__( 'Image to the right', 'teamgrid' ),
    'type' => 'switcher',
    'default' => 'off',
    'options' => array(
        'desc_tooltip' => false,
        'show_if' => array('layout-number', 'in', array('16')),//15
    ),
));
$xbox->add_field(array(
    'id' => 'list-border-bottom-only',
    'name' => esc_html__( 'Border bottom only?', 'teamgrid' ),
    'type' => 'switcher',
    'default' => 'on',
    'options' => array(
        'desc_tooltip' => true,
        'show_if' => array('layout-number', 'in', array('16')),//15
    ),
));
$xbox->close_mixed_field();

include TGR_OPTIONS_DIR.'team-editor/customization/custom-table.php';