<?php

use TeamGrid\Includes\Assets;
use TeamGrid\Includes\Settings;

$google_fonts = XboxItems::google_fonts();

$xbox->add_tab(array(
    'id' => 'tab-cusmotization',
    'items' => array(
        'customization-general' => esc_html__( 'General', 'teamgrid' ),
        'customization-layout' => esc_html__( 'Layout', 'teamgrid' ),
        'customization-displayer' => esc_html__( 'Viewer', 'teamgrid' ),
        'customization-social' => esc_html__( 'Social Icons', 'teamgrid' ),
        'customization-filters' => esc_html__( 'Filters', 'teamgrid' ),
        'customization-skills' => esc_html__( 'Skills', 'teamgrid' ),
    ),
));

$xbox->open_tab_item('customization-general');
if( ! Settings::plugin_status() ) {
    $xbox->add_field(array(
        'type' => 'html',
        'content' => Settings::plugin_status_message( $this->plugin->settings_url ),
        'options' => array(
            'show_name' => false,
        )
    ));
} else {
    include $this->path.'customization/custom-general.php';
}
$xbox->close_tab_item('customization-general');

$xbox->open_tab_item('customization-layout');
if( ! Settings::plugin_status() ) {
    $xbox->add_field(array(
        'type' => 'html',
        'content' => Settings::plugin_status_message( $this->plugin->settings_url ),
        'options' => array(
            'show_name' => false,
        )
    ));
} else {
    include $this->path.'customization/custom-layout.php';
}
$xbox->close_tab_item('customization-layout');

$xbox->open_tab_item('customization-displayer');
include $this->path.'customization/custom-displayer.php';
$xbox->close_tab_item('customization-displayer');

$xbox->open_tab_item('customization-social');
include $this->path.'customization/custom-social.php';
$xbox->close_tab_item('customization-social');

$xbox->open_tab_item('customization-filters');
include $this->path.'customization/custom-filters.php';
$xbox->close_tab_item('customization-filters');

$xbox->open_tab_item('customization-skills');
include TGR_OPTIONS_DIR.'team-editor/customization/custom-skills.php';
$xbox->close_tab_item('customization-skills');

$xbox->close_tab('tab-cusmotization');