<?php

$xbox->add_field( array(
    'id' => 'filters-show',
    'name' => esc_html__( 'Show filters', 'teamgrid' ),
    'type' => 'switcher',
    'default' => 'on',
) );
$xbox->add_field(array(
    'id' => 'filters-selected',
    'name' => esc_html__( 'Select filters', 'teamgrid' ),
    'type' => 'select',
    'default' => '',
    'items' => XboxItems::terms( $this->plugin->arg( 'taxonomies', 'filters' ), array( 'hide_empty' => true ) ),
    'grid' => '6-of-8',
    'options' => array(
        //'hide_if' => array('layout-number', 'in', array('16', '17') )
        'multiple' => true,
        'sortable' => true,
    )
));
$xbox->add_field(array(
    'id' => 'filters-sort',
    'name' => esc_html__( 'Sort filters', 'teamgrid' ),
    'type' => 'select',
    'default' => 'none',
    'items' => array(
        'none' => 'Default',
        'asc' => 'Asc',
        'desc' => 'Desc',
    ),
    'attributes' => array(
        'style' => 'min-width: 180px;'
    )
));

$xbox->add_field( array(
    'id' => 'filters-hide-all',
    'name' => esc_html__( 'Hide the filter: All', 'teamgrid' ),
    'type' => 'switcher',
    'default' => 'off',
) );

$xbox->add_field( array(
    'id' => 'filters-multiple-choice',
    'name' => esc_html__( 'Multiple choice', 'teamgrid' ),
    'type' => 'switcher',
    'default' => 'off',
) );

$xbox->add_field( array(
    'id' => 'filters-show-filter-count',
    'name' => esc_html__( 'Show filter count', 'teamgrid' ),
    'type' => 'switcher',
    'default' => 'off',
) );

$xbox->add_field( array(
    'id' => 'filters-dropdown',
    'name' => esc_html__( 'Dropdown filter', 'teamgrid' ),
    'type' => 'switcher',
    'default' => 'off',
) );


$xbox->add_field( array(
    'name' => esc_html__( 'Filter designs', 'teamgrid' ),
    'type' => 'title',
) );

$xbox->add_html( array(
    'content' => '<div id="tgr-wrap-filter-designs">'
) );

$xbox->add_field( array(
    'type' => 'button',
    'name' => esc_html__( 'Default', 'teamgrid' ),
    'content' => esc_html__( 'Use Design', 'teamgrid' ),
    'attributes' => array(
        'class' => 'btn-use-filter-design',
        'data-design' => 'filter-1',
    ),
    'insert_after_row' => '<div class="tgr-team tgr-filter-design" data-id="filter-1"></div>'
) );

$use_design_text = esc_html__( 'Use Design', 'teamgrid' );

for( $i = 2; $i <= 25; $i++ ){
    $xbox->add_field( array(
        'type' => 'button',
        'name' => sprintf( esc_html__( 'Design %s', 'teamgrid' ), $i ),
        'content' => esc_html__( 'Use Design', 'teamgrid' ),
        'attributes' => array(
            'class' => 'btn-use-filter-design',
            'data-design' => 'filter-' . esc_attr( $i ),
        ),
        'insert_after_row' => '<div class="tgr-team tgr-filter-design" data-id="filter-' . esc_attr( $i ) . '"></div>'
    ) );
}

$xbox->add_html( array(
    'content' => '</div>'//tgr-wrap-designs
) );
