<?php

use TeamGrid\Includes\Assets;

$xbox->open_mixed_field(array('name' => esc_html__( 'Layout', 'teamgrid' )));
$xbox->add_field(array(
    'id' => 'layout-number',
    'name' => esc_html__( 'Layout', 'teamgrid' ),
    'type' => 'select',
    'default' => '1',
    'items' => Assets::layouts(),
    'attributes' => array(
        'style' => 'min-width: 220px;'
    )
));
$xbox->add_field(array(
    'id' => 'layout-columns',
    'name' => esc_html__( 'Columns', 'teamgrid' ),
    'type' => 'select',
    'default' => '4',
    'items' => array(
        '2' => '2',
        '3' => '3',
        '4' => '4',
        '5' => '5',
        '6' => '6',
    ),
    'attributes' => array(
        'style' => 'min-width: 96px;'
    ),
    'options' => array(
        'hide_if' => array('layout-number', 'in', array('16', '17') )
    )
));
$xbox->add_field(array(
    'id' => 'layout-columns-gap',
    'name' => esc_html__( 'Columns gap', 'teamgrid' ),
    'type' => 'number',
    'default' => 30,
    'options' => array(
        'show_spinner' => true,
        'hide_if' => array('layout-number', 'in', array('16', '17') )
    ),
    'attributes' => array(
        'min' => 0,
    ),
));
$xbox->add_field(array(
    'id' => 'layout-columns-mobile',
    'name' => esc_html__( 'Columns on mobile devices', 'teamgrid' ),
    'type' => 'select',
    'default' => '1',
    'items' => array(
        '1' => '1',
        '2' => '2',
    ),
    'attributes' => array(
        'style' => 'min-width: 145px;'
    ),
    'options' => array(
        'hide_if' => array('layout-number', 'in', array('16', '17') )
    )
));
$xbox->close_mixed_field();

include $this->path .'displayer/displayer.php';



$xbox->add_select_sortable( array(
    'id' => 'select-members',
    'name' => esc_html__( 'Members', 'teamgrid' ),
    'type' => 'select',
    'default' => '',
    'items' => $this->get_all_members_items( $xbox ),
    'options' => array(
        'sort' => 'desc',
        'max_selections' => 999,
        'search' => true,
        'multiple' => true,
        'sort_by_values' => false,
    ),
    'grid' => '6-of-8',

    'extra_fields' => array(
        'sort_by' => array(
            'id' => 'sort-members',
            'name' => esc_html__( 'Sort Members', 'teamgrid' ),
            'default' => 'drag_drop',
            'options' => array(
                'sort_by_random' => true
            ),
            'attributes' => array(
                'style' => 'min-width: 200px;'
            )
        ),
        'sortable' => array(
            'id' => 'members',
            'default' => '',
            'options' => array(
                'show_name' => false,
                'show_edit_link' => true,
            )
        )
    )
));



