<?php
/**
 * Plugin Name: Team Grid
 * Description: Team Showcase WordPress Plugin. Team Grid allows you to display your Team easily with many customization options.
 * Version: 1.3.1
 * Plugin URI: https://www.20script.ir
 * Author: 20script
 * Author URI: https://codecanyon.net/user/codexhelp
 * Text Domain: teamgrid
 * Domain Path: /languages/
 */

if( ! class_exists( 'TeamGrid\Loader', false ) ){
    include dirname( __FILE__ ) . '/loader.php';
    $loader = TeamGrid\Loader::get_instance( array(
        'team-grid*/team-grid.php',
    ) );
    $plugin_data = $loader->get_plugin_data();
    if( empty( $plugin_data ) ){
        //Exit during activation to set info to $plugin_data
        return;
    }

    if( ! class_exists( 'TeamGrid\Includes\TeamGrid', false ) ){
        include dirname( __FILE__ ) . '/includes/class-team-grid.php';
    }

    function TeamGrid( $plugin_data ){
        return TeamGrid\Includes\TeamGrid::get_instance( array(
            'plugin_data' => $plugin_data,
            'version' => $plugin_data['Version'],
            'name' => $plugin_data['Name'],
            'slug' => 'team-grid',
            'text_domain' => 'team-grid',
            'post_types' => array(
                'members' => 'teamgrid_members',
                'teams' => 'teamgrid_teams',
            ),
            'taxonomies' => array(
                'filters' => 'tgr_member_filters',
                'fields' => 'tgr_member_fields',
                'skills' => 'tgr_member_skills',
            ),
            'prefix' => 'tgr_',
            'xbox_ids' => array(
                'settings' => 'settings-teamgrid',
                'member-editor' => 'member-editor-teamgrid',
                'team-editor' => 'team-editor-teamgrid',
            ),
            'item_id' => '31359622',
        ) );
    }

    TeamGrid( $plugin_data );
}